# ASIC Search

`POST /asic_search`

- Live: `POST https://gdapi.globaldata.net.au/api/v2/asic_search`
- Sandbox: `POST https://sandbox-gdapi.globaldata.net.au/api/v2/asic_search`

ASIC Search searches the ASIC register for the given company or business name and returns the results.

## Company Search

A company can be searched by either a number (ABN / ACN / State Number)

| Type         | Format              | Example     | Description                        |
| ------------ | ------------------- | ----------- | ---------------------------------- |
| ABN          | 11 digits           | 12345678901 | Australian Business Number         |
| ACN          | 9 digits            | 123456789   | Australian Company Number          |
| State Number | Jurisdiction:number | NSW:1234567 | State business registration number |

## Business Name Search

A business name can be searched by providing the exact name of the business,

## Request body

The details of the business to search for.

| Field | Type | Description |
|-------|------|-------------|
| `number` | string | The number of the company to search for (ABN / ACN / State Number) Example: `12345678901` |
| `business_name` | string | The exact name of the business to search for. Example: `Acme Services` |

**Sample request**

```json
{
    "number": "12345678901",
    "business_name": "Acme Services"
}
```

## Responses

### 200 Successful response

Content type: `application/json`

| Field | Type | Description |
|-------|------|-------------|
| `message` | string | A message indicating the result of the request. This will be `Ok` if the request was successful. Example: `Ok` |
| `api_reference` | string (uuid) | A unique identifier for this request. This can be used to track the request in the logs. Example: `fe4291ca-d831-4760-96df-c9cb03b3cd95` |
| `match` | object | Details of the match found. |
| `match.identifier` | object | The number of the business. |
| `match.identifier.numberHeading` | string | The heading of the number. Example: `ABN` |
| `match.identifier.number` | string | The number of the business. Example: `12345678901` |
| `match.jurisdiction` | string | The jurisdiction of the business. Example: `Australian Securities & Investments Commission` |
| `match.name` | object | The name of the business. |
| `match.name.name` | string | The name of the business. Example: `Acme Services` |
| `match.type` | object | The type of business. |
| `match.type.code` | string | The code of the business type. Example: `BUSN` |
| `match.type.description` | string | The description of the business type. Example: `Business Names` |
| `match.class` | object | The class of business (available for companies only). |
| `match.class.code` | string | The code of the business class. Example: `LMSH` |
| `match.class.description` | string | The description of the business class. Example: `Limited By Shares` |
| `match.subClass` | object | The subclass of business (available for companies only). |
| `match.subClass.code` | string | The code of the business subclass. Example: `PROP` |
| `match.subClass.description` | string | The description of the business subclass. Example: `Proprietary Company` |
| `match.status` | object | The status of business. |
| `match.status.code` | string | The code of the business status. Example: `REGD` |
| `match.status.description` | string | The description of the business status. Example: `Registered` |
| `match.status.isRegistered` | boolean | Whether the business is registered. Example: `true` |
| `match.abrEntity` | object | Whether the business is an ABR entity. |
| `match.abrEntity.abn` | string | The ABN of the ABR entity. Example: `12345678901` |
| `match.abrEntity.entityName` | string | The name of the ABR entity. Example: `Acme Services` |
| `match.abrEntity.entityType` | string | The type of ABR entity. Example: `Company` |
| `match.abrEntity.effectiveDate` | string | The effective date of the ABR entity. Example: `2021-01-01` |
| `match.dateReview` | string | The date of the next review of the ABR entity. Example: `2024-01-01` |
| `match.dateRegistered` | string | The date the business was registered. Example: `2021-01-01` |
| `match.address` | array of objects | The address of the business. |
| `match.address[].type` | string | The type of address. (RG = registered office, PA = principal place of business) Example: `RG` |
| `match.address[].state` | string | The state of the address. Example: `NSW` |
| `match.address[].postcode` | string | The postcode of the address. Example: `2000` |
| `match.address[].locality` | string | The locality / suburb of the address. Example: `Sydney` |
| `match.address[].addressLine` | string | The first line of the address. (This is RESTRICTED in most cases) Example: `RESTRICTED` |
| `match.address[].iso3166CountryCode` | string | The ISO 3166 country code of the address. Example: `AU` |
| `match.incorporationState` | string | The state of the incorporation. Example: `NSW` |
| `match.recentDocument` | array of objects | The most recent documents for the company |
| `match.recentDocument[].formCode` | string | The form code of the document. Example: `484` |
| `match.recentDocument[].description` | string | The description of the document. Example: `CHANGE TO COMPANY DETAILS` |
| `match.recentDocument[].dateReceived` | string | The date of the document. Example: `2021-01-01` |
| `match.recentDocument[].numberOfPages` | number | The number of pages in the document. Example: `1` |
| `match.recentDocument[].documentNumber` | string | The document number. Example: `ABC12345678` |
| `match.recentDocument[].additionalDescription` | array of objects | Additional description of the document. |
| `match.recentDocument[].additionalDescription[].subformCode` | string | The subform code of the additional description. Example: `484N` |
| `match.recentDocument[].additionalDescription[].subformDescription` | string | CHANGES TO (MEMBERS) SHARE HOLDINGS. Example: `Change of name` |

**Sample response**

```json
{
    "message": "Ok",
    "api_reference": "fe4291ca-d831-4760-96df-c9cb03b3cd95",
    "match": {
        "identifier": {
            "numberHeading": "ABN",
            "number": "12345678901"
        },
        "jurisdiction": "Australian Securities & Investments Commission",
        "name": {
            "name": "Acme Services"
        },
        "type": {
            "code": "BUSN",
            "description": "Business Names"
        },
        "class": {
            "code": "LMSH",
            "description": "Limited By Shares"
        },
        "subClass": {
            "code": "PROP",
            "description": "Proprietary Company"
        },
        "status": {
            "code": "REGD",
            "description": "Registered",
            "isRegistered": true
        },
        "abrEntity": {
            "abn": "12345678901",
            "entityName": "Acme Services",
            "entityType": "Company",
            "effectiveDate": "2021-01-01"
        },
        "dateReview": "2024-01-01",
        "dateRegistered": "2021-01-01",
        "address": [
            {
                "type": "RG",
                "state": "NSW",
                "postcode": "2000",
                "locality": "Sydney",
                "addressLine": "RESTRICTED",
                "iso3166CountryCode": "AU"
            }
        ],
        "incorporationState": "NSW",
        "recentDocument": [
            {
                "formCode": "484",
                "description": "CHANGE TO COMPANY DETAILS",
                "dateReceived": "2021-01-01",
                "numberOfPages": 1,
                "documentNumber": "ABC12345678",
                "additionalDescription": [
                    {
                        "subformCode": "484N",
                        "subformDescription": "Change of name"
                    }
                ]
            }
        ]
    }
}
```

Standard error responses: 400, 401, 402, 403, 429, 5XX (see [Common error responses](/docs/reference/general/common-error-responses.md))

